{% extends "Docentes/Intranet/index_intranet_curso.html" %}
{% load i18n admin_static admin_list %}

{% block extrastyle1 %}
    <style type="text/css">
    .reduce-col-number { width: 10px; }
    .reduce-col-photo { width: 65px; }
    </style>
    <script type="text/javascript" src="{% static 'custom/js/Notas/ventana_popup.js' %}"></script>
    <script type="text/javascript" src="{% static 'custom/bootstrap/js/bootstrap.min.js' %}"></script>
{% endblock %}

{% block content-main %}
<div class="row-fluid">
    <div class="well well2">
        <h3>{% trans 'Listado de asistencias, Día' %} {{ horario.Dia }} {{ horario.HoraInicio }} - {{ horario.HoraFin }} - {{ horario.Seccion }}</h3>
        <!-- TOOLBAR -->
        <div class="btn-toolbar" style="margin-bottom: 19px">
            <div class="btn-group pull-right">
                 <a href="../../../../../reporte_pdf/{{ periodocurso.Periodo.id }}/{{ horario.Dia }}/{{ horario.HoraInicio|escape }}/{{ horario.HoraFin|escape }}/" class="btn dropdown-toggle" data-toggle="dropdown"><i class="icon-download-alt"></i>{% trans 'Descargar asistencia' %}</a>
                <ul class="dropdown-menu">
                <li><a href="../../../../../reporte_pdf/{{ periodocurso.Periodo.id }}/{{ horario.Dia }}/{{ horario.HoraInicio|escape }}/{{ horario.HoraFin|escape }}/"><i class="cus-pdf"></i> PDF</a></li>
                </ul>
            </div>
            
            <div class="btn-group pull-right" style="margin-bottom:10px;">
                {% if periodocurso.EditarAsistencias %}
                <a class="btn btn-info" onclick="return abrir_popup('../../../../../add/{{ periodocurso.Periodo.id }}/{{ horario.Dia }}/{{ horario.HoraInicio|escape }}/{{ horario.HoraFin|escape }}/');" href="../../../../../add/{{ periodocurso.Periodo.id }}/{{ horario.Dia }}/{{ horario.HoraInicio|escape }}/{{ horario.HoraFin|escape }}/"><i class="icon-plus icon-white"></i>{% trans 'Agregar asistencia' %}</a>
                {% endif %}
            </div>
        </div>
<!--        <hr/>-->
        {% if results %}
        <table class="table table-striped table-bordered table-condensed">
            <thead>
            <tr>
            <TH>{% trans 'Nº' %}</TH>
            <TH>{% trans 'Fecha' %}</TH>
            <TH>{% trans 'Horario' %}</TH>
            {% if periodocurso.EditarAsistencias %}
            <!--<TH>{% trans 'Acciones' %}</TH>-->
            {% endif %}
            </tr>
            </thead>
            <tbody>
            {% for asi in results.object_list %}
            <tr>
                    <TD>{{ forloop.counter }}</TD>
                    <TD><i class="icon-calendar"></i>{{ asi|first|escape }}</TD>
                    <TD><i class="icon-time"></i>
                        {% for hora in asi %}
                            {% if forloop.first %}
                            {% else %}
                                {{ hora|escape }}
                            {% endif %}
                        {% endfor %}
                    </TD>
                    {% if periodocurso.EditarAsistencias %}
                    <TD class="td-actions">
                        
                        <a class="btn btn-info" href="../../../../../editarcomun/{{ periodocurso.Periodo.id }}/{{ asi|first|escape }}/{% for hora in asi %}{% if forloop.first %}{% else %}{{ hora|escape }}/{% endif %}{% endfor %}"  onclick="return abrir_popup('../../../../../editarcomun/{{ periodocurso.Periodo.id }}/{{ asi|first|escape }}/{% for hora in asi %}{% if forloop.first %}{% else %}{{ hora|escape }}/{% endif %}{% endfor %}');"><i class="icon-edit icon-white"></i> Editar</a>
                        <a class="btn btn-danger" href="../../../../../deletecomun/{{ periodocurso.Periodo.id }}/{{ asi|first|escape }}/{% for hora in asi %}{% if forloop.first %}{% else %}{{ hora|escape }}/{% endif %}{% endfor %}"  onclick="return abrir_popup('../../../../../deletecomun/{{ periodocurso.Periodo.id }}/{{ asi|first|escape }}/{% for hora in asi %}{% if forloop.first %}{% else %}{{ hora|escape }}/{% endif %}{% endfor %}');"><i class="icon-trash icon-white"></i> Borrar</a>
                    </TD>
                    {% endif %}
            </tr>
            {% endfor %}
            </tbody>
        </table>
        {% else %}
        <p>{% trans 'No se encontraron coincidencias' %}</p>
     {% endif %}
    </div>    
</div>
{% endblock %}
